SDL_cos(3)

NAME
SDL_cos - Compute the cosine of x .

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

double SDL_cos(double x);

DESCRIPTION
Domain: -INF<=x<=INF Range: -1<=y<=1 This function operates on double-precision floating point values, use SDL_cosf
 for single-precision floats. This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value, in radians

RETURN VALUE
Returns cosine of x

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_cosf(3), SDL_acos(3), SDL_sin(3)